{* Вкладки *}
{capture name=tabs}
    <li><a href="index.php?module=BlogAdmin">Блог</a></li>
    <li><a href="index.php?module=ArticlesAdmin">Примеры работ</a></li>
    <li><a href="index.php?module=ArticleCategoriesAdmin">Категории примеров работ</a></li>
    <li><a href="{url module=ActionsAdmin id=null page=null}">Акции</a></li> 
    <li ><a href="{url module=MarkasAdmin id=null page=null}">Марки</a></li> 
    <li class="active"><a href="{url module=ModelsAdmin id=null page=null}">Модели</a></li>
{/capture}

{* Title *}
{$meta_title='Модели' scope=parent}

{* Заголовок *}
<div id="header">
	<h1>Модели</h1> 
	<a class="add" href="{url module=ModelAdmin return=''}">Добавить модель</a>
</div>	

{if $brands}
<div id="main_list" class="brands">

	<form id="list_form" method="post">
	<input type="hidden" name="session_id" value="{$smarty.session.id}">
		
		<div id="list" class="brands">	
			{foreach $brands as $brand}
			<div class="row {if !$brand->visible}invisible{/if}">
		 		<div class="checkbox cell">
					<input type="checkbox" name="check[]" value="{$brand->id}" />				
				</div>
				<div class="cell">
					<a href="{url module=ModelAdmin id=$brand->id return=''}">{$brand->marka->name|escape} - {$brand->name|escape}</a> 	 			
				</div>
				<div class="icons cell">
					<a class="enable" title="Активна" href="#"></a>
					<a class="preview" title="Предпросмотр в новом окне" href="../nashi-raboty/{$brand->marka->url}/{$brand->url}/" target="_blank"></a>				
					<a class="delete"  title="Удалить" href="#"></a>
				</div>
				<div class="clear"></div>
			</div>
			{/foreach}
		</div>
		
		<div id="action">
			<label id="check_all" class="dash_link">Выбрать все</label>
			
			<span id="select">
			<select name="action">
				<option value="delete">Удалить</option>
			</select>
			</span>
			<input id="apply_action" class="button_green" type="submit" value="Применить">
		</div>
		
	</form>
</div>
{else}
Нет моделей
{/if}

{literal}
<script>
$(function() {

	// Раскраска строк
	function colorize()
	{
		$("#list div.row:even").addClass('even');
		$("#list div.row:odd").removeClass('even');
	}
	// Раскрасить строки сразу
	colorize();	
	
	
	$("a.enable").click(function() {
		var icon        = $(this);
		var line        = icon.closest(".row");
		var id          = line.find('input[type="checkbox"][name*="check"]').val();
		var state       = line.hasClass('invisible')?1:0;
		icon.addClass('loading_icon');
		$.ajax({
			type: 'POST',
			url: 'ajax/update_object.php',
			data: {'object': 'model', 'id': id, 'values': {'visible': state}, 'session_id': '{/literal}{$smarty.session.id}{literal}'},
			success: function(data){
				icon.removeClass('loading_icon');
				if(state)
					line.removeClass('invisible');
				else
					line.addClass('invisible');				
			},
			dataType: 'json'
		});	
		return false;	
	});
	
	
	// Выделить все
	$("#check_all").click(function() {
		$('#list input[type="checkbox"][name*="check"]').attr('checked', $('#list input[type="checkbox"][name*="check"]:not(:checked)').length>0);
	});	

	// Удалить
	$("a.delete").click(function() {
		$('#list input[type="checkbox"][name*="check"]').attr('checked', false);
		$(this).closest("div.row").find('input[type="checkbox"][name*="check"]').attr('checked', true);
		$(this).closest("form").find('select[name="action"] option[value=delete]').attr('selected', true);
		$(this).closest("form").submit();
	});
	
	// Подтверждение удаления
	$("form").submit(function() {
		if($('#list input[type="checkbox"][name*="check"]:checked').length>0)
			if($('select[name="action"]').val()=='delete' && !confirm('Подтвердите удаление'))
				return false;	
	});
 	
});
</script>
{/literal}
